%define major            1
%define libextension     %mklibname signon-extension %major
%define libpluginscommon %mklibname signon-plugins-common %major
%define libplugins       %mklibname signon-plugins %major
%define libqt            %mklibname signon-qt6_ %major
%define libqt5           %mklibname signon-qt5_ %major

%define develextension   %mklibname signon-extension -d
%define develplugins     %mklibname signon-plugins-common -d
%define develqt          %mklibname signon-qt6 -d
%define develqt5         %mklibname signon-qt5 -d
%define develd           %mklibname signond -d

%define tag0    VERSION_%{version}
%define commit0 5b34c5bbc45eedf55bf553675595b3fcb5c156a8

%bcond_without  qt5

Name:           signon
Version:        8.61
Release:        %mkrel 5
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials
License:        LGPLv2
URL:            https://gitlab.com/accounts-sso/signond
Source0:        https://gitlab.com/accounts-sso/signond/-/archive/%{tag0}/%{name}-%{version}.tar.gz
Source1:        https://gitlab.com/accounts-sso/signon-dbus-specification/-/archive/master/signon-dbus-specification-master.tar.gz
Patch0:         signon-8.57-no_static.patch
Patch1:         0001-signond-install-does-not-require-superuser-anymore.patch
# Qt6 branch of Nicolas Fella's fork https://gitlab.com/nicolasfella/signond
# https://gitlab.com/accounts-sso/signond/-/merge_requests/36
Patch2:         0001-Add-Qt6-support-#36.patch

BuildRequires:  doxygen
BuildRequires:  gcc-c++

# Qt5
%if %{with qt5}
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Test)
%endif
# Qt6
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)

Requires:       %{name}d = %{version}

%description
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libextension}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libextension}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libpluginscommon}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libpluginscommon}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libplugins}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libplugins}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libqt}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libqt}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%if %{with qt5}
%package -n %{libqt5}
Group:          System/Libraries
Summary:        A Qt5 framework for centrally storing authentication credentials

%description -n %{libqt5}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.
%endif

%package -n %{develextension}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libextension} = %{version}-%{release}

%description -n %{develextension}
The %{develextension} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{develplugins}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libpluginscommon} = %{version}-%{release}
Requires:       %{libplugins} = %{version}-%{release}

%description -n %{develplugins}
The %{develplugins} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{develqt}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libqt} = %{version}-%{release}

%description -n %{develqt}
The %{develqt} package contains libraries and header files for
developing applications that use %{name}.

%if %{with qt5}
%package -n %{develqt5}
Summary:        Development files for %{name} (Qt5)
Group:          Development/C
Requires:       %{libqt5} = %{version}-%{release}

%description -n %{develqt5}
The %{develqt5} package contains libraries and header files for
developing applications that use %{name}.
%endif

%package -n %{name}d
Summary:        A framework for centrally storing authentication credentials
Group:          System/Libraries

%description -n %{name}d
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{develd}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name}d = %{version}

%description -n %{develd}
The %{develd} package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n signond-%{tag0}-%{commit0} -a1
%autopatch -p1

mv signon-dbus-specification-master/* lib/signond/interfaces/

mkdir qt5
mv $(ls -1 |grep -vE '^qt5$') .* qt5/
cp -a qt5 qt6

%build
# Qt5
%if %{with qt5}
pushd qt5
%qmake_qt5 signon.pro LIBDIR=%{_libdir}
%make_build
popd
%endif

# Qt6
pushd qt6
%qmake_qt6 signon.pro LIBDIR=%{_libdir}
%make_build
popd

%install
%if %{with qt5}
%make_install INSTALL_ROOT=%{buildroot} -C qt5
%endif

%make_install INSTALL_ROOT=%{buildroot} -C qt6

%files
%{_sysconfdir}/signond.conf
%{_bindir}/signonpluginprocess
%dir %{_libdir}/signon
%{_libdir}/signon/*.so
%{_datadir}/dbus-1/services/*.service

%files -n %{libextension}
%{_libdir}/libsignon-extension.so.%{major}{,.*}

%files -n %{develextension}
%{_libdir}/libsignon-extension.so
%{_libdir}/pkgconfig/SignOnExtension.pc
%{_includedir}/signon-extension/

%files -n %{libpluginscommon}
%{_libdir}/libsignon-plugins-common.so.%{major}{,.*}

%files -n %{libplugins}
%{_libdir}/libsignon-plugins.so.%{major}{,.*}

%files -n %{develplugins}
%{_libdir}/libsignon-plugins-common.so
%{_libdir}/libsignon-plugins.so
%{_libdir}/pkgconfig/signon-plugins-common.pc
%{_libdir}/pkgconfig/signon-plugins.pc
%{_includedir}/signon-plugins/

%files -n %{libqt}
%{_libdir}/libsignon-qt6.so.%{major}{,.*}

%files -n %{develqt}
%{_libdir}/libsignon-qt6.so
%{_libdir}/pkgconfig/libsignon-qt6.pc
%{_includedir}/signon-qt6/
%{_libdir}/cmake/SignOnQt6/

%if %{with qt5}
%files -n %{libqt5}
%{_libdir}/libsignon-qt5.so.%{major}{,.*}

%files -n %{develqt5}
%{_libdir}/libsignon-qt5.so
%{_libdir}/pkgconfig/libsignon-qt5.pc
%{_includedir}/signon-qt5/
%{_libdir}/cmake/SignOnQt5/
%endif

%files -n %{name}d
%{_bindir}/signond
%{_datadir}/dbus-1/interfaces/*.xml

%files -n %{develd}
%{_libdir}/pkgconfig/signond.pc
%{_includedir}/signond/

%files doc
%{_docdir}/libsignon-qt/
%{_docdir}/signon/
%{_docdir}/signon-plugins/
%{_docdir}/signon-plugins-dev/


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 8.61-5.mga10
+ Revision: 2221271
- Mageia 10 Mass Rebuild

* Sun Feb 04 2024 daviddavid <daviddavid> 8.61-4.mga10
+ Revision: 2037115
- add back Qt5 support

* Thu Jan 11 2024 daviddavid <daviddavid> 8.61-3.mga10
+ Revision: 2030049
- backport upstream patch to fix signond install does not require superuser anymore

* Thu Nov 16 2023 daviddavid <daviddavid> 8.61-2.mga10
+ Revision: 2007195
- port to Qt6

* Fri Dec 02 2022 daviddavid <daviddavid> 8.61-1.mga9
+ Revision: 1914034
- new version: 8.61 (after 4 years ago)

* Sun Apr 03 2022 umeabot <umeabot> 8.60-7.mga9
+ Revision: 1842195
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 8.60-6.mga8
+ Revision: 1659848
- Rebuild for new Qt5

* Sun Feb 16 2020 umeabot <umeabot> 8.60-5.mga8
+ Revision: 1534716
- Mageia 8 Mass Rebuild

* Sun Oct 06 2019 daviddavid <daviddavid> 8.60-4.mga8
+ Revision: 1449894
- main signon pkg requires signond

* Tue Apr 02 2019 umeabot <umeabot> 8.60-3.mga7
+ Revision: 1384800
- Qt5 Rebuild

* Sat Jan 26 2019 daviddavid <daviddavid> 8.60-2.mga7
+ Revision: 1361093
- fix signon-plugins-common devel pkg name

* Sun Oct 21 2018 daviddavid <daviddavid> 8.60-1.mga7
+ Revision: 1323190
- new version: 8.60

* Sun Sep 23 2018 umeabot <umeabot> 8.59-3.mga7
+ Revision: 1301025
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 pterjan <pterjan> 8.59-2.mga7
+ Revision: 1238796
- Force LIBDIR, it gets it wrong (but only for plugins...) on aarch64

* Sun Dec 04 2016 daviddavid <daviddavid> 8.59-1.mga6
+ Revision: 1072456
- new version: 8.59 (fixes mga#17528)
- update URL and Source URL

* Sun Mar 06 2016 blino <blino> 8.57-3.mga6
+ Revision: 986285
- Mageia 6 Mass Rebuild
+ luigiwalser <luigiwalser>
- update URL

* Sun Jul 19 2015 neoclust <neoclust> 8.57-2.mga6
+ Revision: 855242
- Rename libs ( lmenut)

* Sun Jul 19 2015 neoclust <neoclust> 8.57-1.mga6
+ Revision: 855237
- New version 8.57

* Wed Oct 15 2014 umeabot <umeabot> 8.56-3.mga5
+ Revision: 743917
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 8.56-2.mga5
+ Revision: 689154
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 fwang <fwang> 8.56-1.mga5
+ Revision: 667226
- 8.56

* Sat Oct 19 2013 umeabot <umeabot> 8.54-2.mga4
+ Revision: 536216
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 fwang <fwang> 8.54-1.mga4
+ Revision: 483713
- new version 8.54

* Fri May 31 2013 fwang <fwang> 8.51-1.mga4
+ Revision: 433583
- update file list
- new version 8.51

* Mon Jan 14 2013 umeabot <umeabot> 8.44-4.mga3
+ Revision: 382017
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 fwang <fwang> 8.44-3.mga3
+ Revision: 329519
- update file list

* Tue Dec 11 2012 fwang <fwang> 8.44-2.mga3
+ Revision: 329515
- split out dbus interface files

* Tue Dec 11 2012 fwang <fwang> 8.44-1.mga3
+ Revision: 329510
- update file list
- update file list
- update file list
- add more sub packages
- update pkgname
- update file list
- update file list
- add more br
- imported package signon

